commit:     8ccffd1c6c6b7b4cbb50c3895700cb34670705a4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 22 04:31:55 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 22 04:46:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ccffd1c

dev-python/jellyfish: Bump to 0.8.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jellyfish/Manifest               |  1 +
 dev-python/jellyfish/jellyfish-0.8.2.ebuild | 39 +++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/jellyfish/Manifest b/dev-python/jellyfish/Manifest
index 0d51365934c..2dcc19337b2 100644
--- a/dev-python/jellyfish/Manifest
+++ b/dev-python/jellyfish/Manifest
@@ -1 +1,2 @@
 DIST jellyfish-0.7.2.tar.gz 133320 BLAKE2B 
094610c79e8c7f1caa94ff6c8f6936c3ff26c8d8ab8a7605c145e8293d1ebc28f5d057a603f7d8392811aea5d31a87ecb3e3d9eb682e2fd8a3222f23fbc7c3f7
 SHA512 
5fa19826a3adb16dea26855d733bd3e8ccce0c68652249f7bcc06f9b5d5ac36919152301c9afafdfca9877cef6614dccbe8e46a51ab41c1fed493374929c3367
+DIST jellyfish-0.8.2.tar.gz 134200 BLAKE2B 
f765047414e4c1de4588d51598583c49767dde07fe2b94cdb40674bf90f4af8b5b3fa59d0ddf1e0bae3793e531426ccc941dde3fbdaa25839dd13da8b19386c4
 SHA512 
c4cc2b22df37497ed1ee595f03ec10b7ffe6b8441accaea77ca1b6018df07d23bbe9f2ed72d0c3e06792d6e1229b7e56f77f1758396d83120236d018ce2328da

diff --git a/dev-python/jellyfish/jellyfish-0.8.2.ebuild 
b/dev-python/jellyfish/jellyfish-0.8.2.ebuild
new file mode 100644
index 00000000000..f013a652a02
--- /dev/null
+++ b/dev-python/jellyfish/jellyfish-0.8.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="Python module for doing approximate and phonetic matching of 
strings"
+HOMEPAGE="https://github.com/jamesturk/jellyfish 
https://pypi.org/project/jellyfish/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/unicodecsv[${PYTHON_USEDEP}]
+       )
+"
+
+python_compile_all() {
+       if use doc; then
+               esetup.py build_sphinx
+               HTML_DOCS=( build/sphinx/html/. )
+       fi
+}
+
+python_test() {
+       cp -r testdata "${BUILD_DIR}" || die
+       cd "${BUILD_DIR}" || die
+       pytest -vv lib/jellyfish/test.py || die "tests failed with ${EPYTHON}"
+}

Reply via email to